通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Restore Points - Create

为数据仓库创建还原点。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/restorePoints?api-version=2025-01-01

URI 参数

名称 必需 类型 说明
databaseName
path True

string

数据库的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

serverName
path True

string

服务器的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
restorePointLabel True

string

要应用的还原点标签

响应

名称 类型 说明
200 OK

RestorePoint

Azure 运营顺利完成。

201 Created

RestorePoint

资源“RestorePoint”创建作成功

标头

Location: string

202 Accepted

已接受资源作。

标头

Location: string

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Creates datawarehouse database restore point.

示例请求

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints?api-version=2025-01-01

{
  "restorePointLabel": "mylabel"
}

示例响应

{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "japaneast",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "southeastasia",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/manageddatabaserestoreazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

定义

名称 说明
CreateDatabaseRestorePointDefinition

包含执行创建数据库还原点作所需的信息。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

RestorePoint

数据库还原点。

RestorePointType

还原点的类型

systemData

与创建和上次修改资源相关的元数据。

CreateDatabaseRestorePointDefinition

包含执行创建数据库还原点作所需的信息。

名称 类型 说明
restorePointLabel

string

要应用的还原点标签

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

RestorePoint

数据库还原点。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

资源位置。

name

string

资源的名称

properties.earliestRestoreDate

string (date-time)

此数据库可以还原到的最早时间

properties.restorePointCreationDate

string (date-time)

备份的时间

properties.restorePointLabel

string

用户备份请求的还原点标签

properties.restorePointType

RestorePointType

还原点的类型

systemData

systemData

Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。

type

string

资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户”

RestorePointType

还原点的类型

说明
CONTINUOUS

连续

DISCRETE

离散

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。